<?php
header("Content-type: text/html; charset=utf-8");
/**
 *功能：配置文件
 *版本：2.0
 *修改日期：2016-12-15
 '说明：
 '以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己的需要，按照技术文档编写,并非一定要使用该代码。
 '该代码仅供学习和研究小小贝计费接口使用，只是提供一个参考。
 */

/*==================== 接口通用参数,方法 ===========================*/ 
 
/*以下参数为小小贝平台接口地址参数，商户不必改动 */ 
 
$server				=	"http://api2.xiaoxiaopay.com:7500";						//小小贝商户后台接入url
$orderUrl			=	$server . "/order/";			//预下单接口 url
$queryResultUrl		=	$server . "/query/";	//主动查询订单接口 url

/*系统过滤签名函数，商户不必改动 */ 
function clean($str){
    $qian	=	array(" ","　","\t","\n","\r","-","BEGIN","PRIVATE","KEY","END","PUBLIC");
    return  str_replace($qian, '', $str);   
}

/*==================== 接口自定义数据 =============================*/ 
/*以下三个参数需要到小小贝商户后台，点击获取密钥，直接复制粘贴进来即可*/ 


#商户号
$merchantID		=	00000000;
#商户私钥
$appkey 	=	<<<EOT


xxxxxxxx


EOT;

#小小贝平台公钥
$platpkey 	=	<<<EOT


xxxxxxxx


EOT;

/*以下系统自动过滤签名参数，商户不必改动*/ 
$appkey 	 =  clean($appkey);
$platpkey	 =  clean($platpkey);